h1, h2, h3, h4, h5, h6, 
.heading-hero, .heading-1, .heading-2, .heading-3, 
.heading-4, .heading-5, .heading-6 { 
    font-family: "Poppins", sans-serif; 
    font-weight: 700; 
}

/* Standard Heading Sizes */
h1 { font-size: 2.25rem; } /* 36px */
h2 { font-size: 1.875rem; } /* 30px */
h3 { font-size: 1.5rem; } /* 24px */
h4 { font-size: 1.25rem; } /* 20px */
h5 { font-size: 1rem; } /* 16px */
h6 { font-size: 0.875rem; } /* 14px */

/* Custom Heading Sizes */
.heading-hero { font-size: 4.5rem; line-height: 1.1 } /* 72px */
.heading-1 { font-size: 3.75rem; } /* 60px */
.heading-2 { font-size: 3rem; } /* 48px */
.heading-3 { font-size: 2.5rem; } /* 40px */
.heading-4 { font-size: 2rem; } /* 32px */
.heading-5 { font-size: 1.5rem; } /* 24px */
.heading-6 { font-size: 1.25rem; } /* 20px */

.text-l { font-size: 1.25rem; line-height: 1.6em }
.text-m { font-size: 1.125rem; line-height: 1.6em }
.text-s { font-size: 1rem; line-height: 1.6em }
.text-xs { font-size: 0.875rem; line-height: 1.6em }

.heading-hero span {
    background: linear-gradient(90deg, var(--color-orange), var(--color-yellow)); 
    -webkit-background-clip: text; color: transparent;
    font-weight: 800;
    position: relative;
    display: inline-block;
    line-height: 1;
    z-index: 3;
    padding: 2% 0;
    margin: -2% 0;
}

/* Responsive Media Queries */
@media (max-width: 1279px) {
    h1 { font-size: 2rem; }
    h2 { font-size: 1.75rem; }
    h3 { font-size: 1.5rem; }
    h4 { font-size: 1.25rem; }
    h5 { font-size: 1rem; }
    h6 { font-size: 0.875rem; }
    
    .heading-hero { font-size: 3.75rem; } /* 60px */
    .heading-1 { font-size: 3.25rem; } /* 52px */
    .heading-2 { font-size: 2.75rem; } /* 44px */
    .heading-3 { font-size: 2.25rem; } /* 36px */
    .heading-4 { font-size: 1.875rem; } /* 30px */
    .heading-5 { font-size: 1.5rem; } /* 24px */
    .heading-6 { font-size: 1.25rem; } /* 20px */

    .text-l { font-size: 1.25rem }
    .text-m { font-size: 1.125rem }
    .text-s { font-size: 1rem }
}

@media (max-width: 997px) {
    h1 { font-size: 1.875rem; }
    h2 { font-size: 1.625rem; }
    h3 { font-size: 1.375rem; }
    h4 { font-size: 1.125rem; }
    h5 { font-size: 1rem; }
    h6 { font-size: 0.875rem; }
    
    .heading-hero { font-size: 3.25rem; } /* 52px */
    .heading-1 { font-size: 2.75rem; } /* 44px */
    .heading-2 { font-size: 2.5rem; } /* 40px */
    .heading-3 { font-size: 2rem; } /* 32px */
    .heading-4 { font-size: 1.75rem; } /* 28px */
    .heading-5 { font-size: 1.5rem; } /* 24px */
    .heading-6 { font-size: 1.125rem; } /* 18px */
    
    .text-l { font-size: 1.125rem }
    .text-m { font-size: 1.125rem }
    .text-s { font-size: 1rem }

    .heading-hero br, 
    .heading-1 br, 
    .heading-2 br, 
    .heading-3 br, 
    .heading-4 br, 
    .heading-5 br, 
    .heading-6 br, 
    .text-l br,
    .text-m br,
    .text-s br,
    .text-xs br { 
        display: none;
    }
}

@media (max-width: 767px) {
    h1 { font-size: 1.75rem; }
    h2 { font-size: 1.5rem; }
    h3 { font-size: 1.25rem; }
    h4 { font-size: 1rem; }
    h5 { font-size: 0.875rem; }
    h6 { font-size: 0.75rem; }
    
    .heading-hero { font-size: 2.75rem; } /* 44px */
    .heading-1 { font-size: 2.5rem; } /* 40px */
    .heading-2 { font-size: 2rem; } /* 32px */
    .heading-3 { font-size: 1.75rem; } /* 28px */
    .heading-4 { font-size: 1.5rem; } /* 24px */
    .heading-5 { font-size: 1.25rem; } /* 20px */
    .heading-6 { font-size: 1rem; } /* 16px */

    .text-l { font-size: 1rem }
    .text-m { font-size: 1rem }
    .text-s { font-size: 1rem }
}

@media (max-width: 478px) {
    h1 { font-size: 1.5rem; }
    h2 { font-size: 1.375rem; }
    h3 { font-size: 1.25rem; }
    h4 { font-size: 1rem; }
    h5 { font-size: 0.875rem; }
    h6 { font-size: 0.75rem; }
    
    .heading-hero { font-size: 2.5rem; } /* 40px */
    .heading-1 { font-size: 2.25rem; } /* 36px */
    .heading-2 { font-size: 1.875rem; } /* 30px */
    .heading-3 { font-size: 1.5rem; } /* 24px */
    .heading-4 { font-size: 1.25rem; } /* 20px */
    .heading-5 { font-size: 1.125rem; } /* 18px */
    .heading-6 { font-size: 1rem; } /* 16px */
}

@media (max-width: 375px) {
    h1 { font-size: 1.375rem; }
    h2 { font-size: 1.25rem; }
    h3 { font-size: 1.125rem; }
    h4 { font-size: 1rem; }
    h5 { font-size: 0.875rem; }
    h6 { font-size: 0.75rem; }
    
    .heading-hero { font-size: 2.25rem; } /* 36px */
    .heading-1 { font-size: 2rem; } /* 32px */
    .heading-2 { font-size: 1.75rem; } /* 28px */
    .heading-3 { font-size: 1.5rem; } /* 24px */
    .heading-4 { font-size: 1.25rem; } /* 20px */
    .heading-5 { font-size: 1.125rem; } /* 18px */
    .heading-6 { font-size: 1rem; } /* 16px */
}